/*//////
//
// ball.h
//
*/

#ifndef _BALL_H_
#define _BALL_H_

#include        "pong.h"

#define MAXBALLS     100
#define EXTRABALLAT  4

#include <stdlib.h>

struct ball   {double   xLoc; 
               double   yLoc; 
               double   xVel; 
               double   yVel; };

/*
//     predefine all functions for smooth compile
*/
void   updateBall();
void   addBall();
void   removeBall(struct ball *mBall);
struct ball *newBall(double x, double y, double xV, double yV);
void   drawBall(struct ball *mBall);
int    isBallOut(struct ball *mBall);
void   drawAt(double x, double y, char symbol);
void   disposeBalls();
int    getLivesLeft();


#endif /* _BALL_H_ */

